# -*- coding: utf-8 -*-

from tools import trace, timer

class Stricklers(object):
    def __init__(self, status = None):
        super(Stricklers, self).__init__()

        self._status = status

        self._name = ""
        self._comment = ""

        self._minor = 35
        self._medium = 15

    def __str__(self):
        if self._name != "":
            return f"{self._name} ({self._minor}, {self._medium})"

        return f"({self._minor}, {self._medium})"

    @property
    def name(self):
        return self._name

    @name.setter
    def name(self, name):
        self._name = name

    @property
    def comment(self):
        return self._comment

    @comment.setter
    def comment(self, comment):
        self._comment = comment

    @property
    def minor(self):
        return self._minor

    @minor.setter
    def minor(self, minor):
        self._minor = int(minor)

    @property
    def medium(self):
        return self._medium

    @medium.setter
    def medium(self, medium):
        self._medium = int(medium)
